Skip to main content

Fetch: Fetches data from an API endpoint using GET method only.

name
string
required

Human-readable name of the node

Example:

"Fetch user data"

node_type
string
required
Allowed value: "httpapi_fetch"
http_method
string
required

HTTP method to use. Only GET is supported for fetch operations.

Allowed value: "GET"
url
string
required

Endpoint URL to fetch data from.

Example:

"https://api.example.com/data"

description
string | null

Description of what this node does

headers
object[]

List of headers as key-value pairs. You can add variables in JSONNET format. Eg. "Bearer"+data["$tenant"].api_key

query_params
object[]

List of query parameters as key-value pairs. You can add variables in JSONNET format. Eg. data["$recipient"].id

output_key
string

Optional key to store the response of API call. If not provided, the response will be appended at the root of the workflow payload. It's recommended to provide a unique key here to avoid overwriting existing data.